## sibsim4 0.15

=== Makefile ===
# $Id: Makefile,v 1.22 2005/03/22 21:58:01 c4chris Exp $
#
# Christian Iseli, LICR ITO, Christian.Iseli@licr.org
#
# Copyright (c) 2001-2005 Swiss Institute of Bioinformatics.
# Copyright (C) 1998-2001  Liliana Florea.


DEBUG =


# For better performance, replace ``-O'' with whatever
# the best optimization flag is for your computer.
# For Sun's compilers under Solaris, ``-fast'' works well.
# For gcc, ``-O2'' works well.

OPT = -O


# The default CFLAGS is meant for GCC.  If you compile for Solaris, you need
# to change it to this:
# CFLAGS = -Xc

CFLAGS = -std=gnu99 -W -Wall -pedantic $(DEBUG) $(OPT)


# The default is GCC.  On Solaris, you might put:
# CC = /opt/SUNWspro/bin/cc

CC = gcc


# Depending on the compile flags you use, you might need to explicitly use the
# math library:
# LIBS = -lm

LIBS = 


# There should be no need to change things below...

OBJS = sim4b1.o align.o misc.o sim4.init.o

sim4: $(OBJS)
	$(CC) -o SIBsim4 $(CFLAGS) $(OBJS) $(LIBS)

clean:
	rm -f SIBsim4 *.o

# DO NOT DELETE

## sibsim4 0.20

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.22 2005/03/22 21:58:01 c4chris Exp $
+# $Id: Makefile,v 1.23 2008/03/30 22:58:17 c4chris Exp $
 #
 # Christian Iseli, LICR ITO, Christian.Iseli@licr.org
 #
@@ -21,7 +21,7 @@
 # to change it to this:
 # CFLAGS = -Xc
 
-CFLAGS = -std=gnu99 -W -Wall -pedantic $(DEBUG) $(OPT)
+CFLAGS = -std=gnu99 -W -Wall -Wconversion -pedantic $(DEBUG) $(OPT)
 
 
 # The default is GCC.  On Solaris, you might put:

=== debian/changelog ===
sibsim4 (0.20-5) unstable; urgency=medium

  * Nelson A. de Oliveira retired from Debian (thanks for your previous
    work on this package Nelson)
    Closes: #962115
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jun 2020 20:43:37 +0200

sibsim4 (0.20-4) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Wed, 24 Oct 2018 15:29:41 +0200

sibsim4 (0.20-3) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1
  * DEP5

 -- Andreas Tille <tille@debian.org>  Sat, 18 Nov 2017 16:26:05 +0100

sibsim4 (0.20-2) unstable; urgency=low

  * debian/control:
     - cme fix dpkg-control
     - canonical Vcs URLs
     - debhelper 9
  * debian/rules: cdbs -> dh
  * debian/README.Debian: Took over some information from debian/copyright
    which actually belongs here
  * debian/copyright: DEP5
  * debian/patches/hardening.patch: Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Tue, 05 Nov 2013 18:43:45 +0100

sibsim4 (0.20-1) unstable; urgency=low

  * New upstream version
  * Added myself to uploaders
  * Standards-Version: 3.8.4 (no changes needed)
  * Source-Format: 3.0 (quilt)
  * Debhalper 7

 -- Andreas Tille <tille@debian.org>  Wed, 28 Apr 2010 16:58:04 +0200

sibsim4 (0.17-1) unstable; urgency=low

  * New upstream release.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Sat, 17 May 2008 20:13:39 -0300

sibsim4 (0.16-1) unstable; urgency=low

  [ Charles Plessy ]
  * Moved the Homepage: field out from the package's description;
  * Updated Vcs-* fields in debian/control;
  * Added DM-Upload-Allowed.

  [ Nelson A. de Oliveira ]
  * New upstream release;
  * Updated Standards Version to 3.7.3;
  * Removed unused debian/patches.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Tue, 18 Dec 2007 22:25:51 -0200

sibsim4 (0.15-2) unstable; urgency=low

  [ Nelson A. de Oliveira ]
  * I need to verify SVN before modifying a package...

  [ Charles Plessy ]
  * Add Subversion repository URL to debian/control.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Sat, 28 Apr 2007 02:27:07 -0300

sibsim4 (0.15-1) unstable; urgency=low

  * New upstream release.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Sat, 28 Apr 2007 02:16:34 -0300

sibsim4 (0.14-1) unstable; urgency=low

  * Initial release (Closes: #406286).

 -- Nelson A. de Oliveira <naoliv@debian.org>  Wed, 10 Jan 2007 02:13:20 -0200

=== debian/control ===
Source: sibsim4
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/sibsim4
Vcs-Git: https://salsa.debian.org/med-team/sibsim4.git
Homepage: http://sibsim4.sourceforge.net/
Rules-Requires-Root: no

Package: sibsim4
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: align expressed RNA sequences on a DNA template
 The SIBsim4 project is based on sim4, which is a program designed to align
 an expressed DNA sequence with a genomic sequence, allowing for introns.
 SIBsim4 is a fairly extensive rewrite of the original code with the following
 goals:
  * speed improvement;
  * allow large, chromosome scale, DNA sequences to be used;
  * provide more detailed output about splice types;
  * provide more detailed output about polyA sites;
  * misc code cleanups and fixes.

=== debian/watch ===
version=3
http://sf.net/sibsim4/SIBsim4-(.*)\.tar\.gz
